This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 688181 - support kerberos authentication in matahari
support kerberos authentication in matahari
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari (Show other bugs)
6.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Adam Stokes
wes hayutin
: FutureFeature, TestOnly
Depends On: 674578
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-16 10:36 EDT by Perry Myers
Modified: 2011-12-06 06:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Previously, Matahari was not able to use kerberos for authentication. Consequence: A customer that wished to use kerberos was not able to. Change: Matahari has been updated to use QMFv2. One of the side effects of this migration is gaining the ability to use kerberos authentication. Result: kerberos auth is now supported
Story Points: ---
Clone Of:
: 688202 (view as bug list)
Environment:
Last Closed: 2011-12-06 06:38:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2011-03-16 10:36:51 EDT
Description of problem:
Right now matahari only supports using qpid simple password auth.  Need to tie into qpid's support for kerberos auth so that a service principal can be passed in.
Comment 4 Dave Johnson 2011-09-27 17:56:59 EDT
This is good to go, marking as verified.
Comment 5 Russell Bryant 2011-11-16 16:04:55 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Previously, Matahari was not able to use kerberos for authentication.
Consequence: A customer that wished to use kerberos was not able to.
Change: Matahari has been updated to use QMFv2.  One of the side effects of this migration is gaining the ability to use kerberos authentication.
Result: kerberos auth is now supported
Comment 6 errata-xmlrpc 2011-12-06 06:38:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html

Note You need to log in before you can comment on or make changes to this bug.